Synq Docs
Management APIBrands

Read a brand's theme

How its hosted pages look beyond its logo and colours. Needs `org.brands.view`.

GET/v1/orgs/{org}/brands/{brand}/theme

How its hosted pages look beyond its logo and colours. Needs org.brands.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
brand*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/brands/string/theme"
{  "layout": "centered",  "method_order": [    "string"  ],  "font": "string",  "surface_color": "string",  "glow_color": "string",  "button_style": "pill",  "card_radius": 0,  "card_shadow": "none",  "heading": "string",  "background_image_url": "string",  "background_blur": 0,  "powered_by": true,  "not_shown": [    "string"  ]}